%define upstream_name    Dist-Zilla-Plugin-ModuleBuildTiny-Fallback
%define upstream_version 0.025

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Generate a Build.PL that uses Module::Build::Tiny, falling back to Module::Build as needed
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::ModuleBuild)
BuildRequires: perl(Dist::Zilla::Plugin::ModuleBuildTiny)
BuildRequires: perl(Dist::Zilla::Role::BeforeBuild)
BuildRequires: perl(Dist::Zilla::Role::BuildPL)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::pushd)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a the Dist::Zilla manpage plugin that provides a _Build.PL_ in your
distribution that attempts to use the Module::Build::Tiny manpage when
available, falling back to the Module::Build manpage when it is missing.

This is useful when your distribution is installing on an older perl
(before approximately 5.10.1) with a toolchain that has not been updated,
where 'configure_requires' metadata is not understood and respected -- or
where _Build.PL_ is being run manually without the user having read and
understood the contents of _META.yml_ or _META.json_.

When the the Module::Build manpage fallback code is run, an added preamble
is printed:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.25.0-4.mga8
+ Revision: 1504079
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.25.0-3.mga7
+ Revision: 1283112
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.25.0-2.mga7
+ Revision: 1164254
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.25.0-1.mga7
+ Revision: 1157640
- update to 0.025

* Sun Jun 19 2016 pterjan <pterjan> 0.23.0-2.mga6
+ Revision: 1026400
- Rebuild for perl 5.22.2

* Thu Apr 14 2016 shlomif <shlomif> 0.23.0-1.mga6
+ Revision: 1001440
- Add missing BR
- update to 0.023

* Mon Dec 28 2015 shlomif <shlomif> 0.22.0-1.mga6
+ Revision: 916609
- M-B-Tiny
- imported package perl-Dist-Zilla-Plugin-ModuleBuildTiny-Fallback


* Mon Dec 28 2015 cpan2dist 0.022-1mga
- initial mageia release, generated with cpan2dist
